Subject: Re: Best practices for updating old repos

From: Michael Eager <[email-masked]>
Date: Thu, 15 Jun 2017 23:32:08 -0700

On 06/15/2017 09:22 PM, Stefan Beller wrote:
> On Thu, Jun 15, 2017 at 5:52 PM, Michael Eager <[email-masked]> wrote:
>
>> One other variant of the rebase approach I've thought of is to do
>> this incrementally, rebasing the old repo against an upstream commit
>> a short time after the old repo was forked, fixing any conflicts,
>> rebuilding and fixing build failures.  Then repeat, with a bit
>> newer commit.  Then repeat, until I get to the top.  This sounds
>> tedious, but some of it can be automated.  It also might result in
>> my making the changes compatible with upstream code which was later
>> abandoned or significantly changed.
>
> This sounds like
>
> https://github.com/mhagger/git-imerge
> https://www.youtube.com/watch?v=FMZ2_-Ny_zc

Thanks, Stefan.   I'll look into this; it may be similar to what
I was thinking of doing.  I'll have to watch the video.

-- 
Michael Eager	 [email-masked]
1960 Park Blvd., Palo Alto, CA 94306  650-325-8077